<!DOCTYPE html>
<html lang="" xml:lang="">
<head>

  <meta charset="utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <title>Chapter 2 Materiels and Methods | EMERGEN repports</title>
  <meta name="description" content="Ceci est le rapport d’EMERGEN-DB" />
  <meta name="generator" content="bookdown 0.25 and GitBook 2.6.7" />

  <meta property="og:title" content="Chapter 2 Materiels and Methods | EMERGEN repports" />
  <meta property="og:type" content="book" />
  
  <meta property="og:description" content="Ceci est le rapport d’EMERGEN-DB" />
  <meta name="github-repo" content="rstudio/bookdown-demo" />

  <meta name="twitter:card" content="summary" />
  <meta name="twitter:title" content="Chapter 2 Materiels and Methods | EMERGEN repports" />
  
  <meta name="twitter:description" content="Ceci est le rapport d’EMERGEN-DB" />
  

<meta name="author" content="EMERGEN-DB team" />


<meta name="date" content="2022-03-31" />

  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <meta name="apple-mobile-web-app-capable" content="yes" />
  <meta name="apple-mobile-web-app-status-bar-style" content="black" />
  
  
<link rel="prev" href="index.html"/>
<link rel="next" href="implementation.html"/>
<script src="libs/jquery-3.6.0/jquery-3.6.0.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/fuse.js@6.4.6/dist/fuse.min.js"></script>
<link href="libs/gitbook-2.6.7/css/style.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-table.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-bookdown.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-highlight.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-search.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-fontsettings.css" rel="stylesheet" />
<link href="libs/gitbook-2.6.7/css/plugin-clipboard.css" rel="stylesheet" />








<link href="libs/anchor-sections-1.1.0/anchor-sections.css" rel="stylesheet" />
<link href="libs/anchor-sections-1.1.0/anchor-sections-hash.css" rel="stylesheet" />
<script src="libs/anchor-sections-1.1.0/anchor-sections.js"></script>
<script src="libs/htmlwidgets-1.5.4/htmlwidgets.js"></script>
<script src="libs/plotly-binding-4.10.0/plotly.js"></script>
<script src="libs/typedarray-0.1/typedarray.min.js"></script>
<link href="libs/crosstalk-1.2.0/css/crosstalk.min.css" rel="stylesheet" />
<script src="libs/crosstalk-1.2.0/js/crosstalk.min.js"></script>
<link href="libs/plotly-htmlwidgets-css-2.5.1/plotly-htmlwidgets.css" rel="stylesheet" />
<script src="libs/plotly-main-2.5.1/plotly-latest.min.js"></script>


<style type="text/css">
pre > code.sourceCode { white-space: pre; position: relative; }
pre > code.sourceCode > span { display: inline-block; line-height: 1.25; }
pre > code.sourceCode > span:empty { height: 1.2em; }
.sourceCode { overflow: visible; }
code.sourceCode > span { color: inherit; text-decoration: inherit; }
pre.sourceCode { margin: 0; }
@media screen {
div.sourceCode { overflow: auto; }
}
@media print {
pre > code.sourceCode { white-space: pre-wrap; }
pre > code.sourceCode > span { text-indent: -5em; padding-left: 5em; }
}
pre.numberSource code
  { counter-reset: source-line 0; }
pre.numberSource code > span
  { position: relative; left: -4em; counter-increment: source-line; }
pre.numberSource code > span > a:first-child::before
  { content: counter(source-line);
    position: relative; left: -1em; text-align: right; vertical-align: baseline;
    border: none; display: inline-block;
    -webkit-touch-callout: none; -webkit-user-select: none;
    -khtml-user-select: none; -moz-user-select: none;
    -ms-user-select: none; user-select: none;
    padding: 0 4px; width: 4em;
    color: #aaaaaa;
  }
pre.numberSource { margin-left: 3em; border-left: 1px solid #aaaaaa;  padding-left: 4px; }
div.sourceCode
  {   }
@media screen {
pre > code.sourceCode > span > a:first-child::before { text-decoration: underline; }
}
code span.al { color: #ff0000; font-weight: bold; } /* Alert */
code span.an { color: #60a0b0; font-weight: bold; font-style: italic; } /* Annotation */
code span.at { color: #7d9029; } /* Attribute */
code span.bn { color: #40a070; } /* BaseN */
code span.bu { } /* BuiltIn */
code span.cf { color: #007020; font-weight: bold; } /* ControlFlow */
code span.ch { color: #4070a0; } /* Char */
code span.cn { color: #880000; } /* Constant */
code span.co { color: #60a0b0; font-style: italic; } /* Comment */
code span.cv { color: #60a0b0; font-weight: bold; font-style: italic; } /* CommentVar */
code span.do { color: #ba2121; font-style: italic; } /* Documentation */
code span.dt { color: #902000; } /* DataType */
code span.dv { color: #40a070; } /* DecVal */
code span.er { color: #ff0000; font-weight: bold; } /* Error */
code span.ex { } /* Extension */
code span.fl { color: #40a070; } /* Float */
code span.fu { color: #06287e; } /* Function */
code span.im { } /* Import */
code span.in { color: #60a0b0; font-weight: bold; font-style: italic; } /* Information */
code span.kw { color: #007020; font-weight: bold; } /* Keyword */
code span.op { color: #666666; } /* Operator */
code span.ot { color: #007020; } /* Other */
code span.pp { color: #bc7a00; } /* Preprocessor */
code span.sc { color: #4070a0; } /* SpecialChar */
code span.ss { color: #bb6688; } /* SpecialString */
code span.st { color: #4070a0; } /* String */
code span.va { color: #19177c; } /* Variable */
code span.vs { color: #4070a0; } /* VerbatimString */
code span.wa { color: #60a0b0; font-weight: bold; font-style: italic; } /* Warning */
</style>


<link rel="stylesheet" href="style.css" type="text/css" />
</head>

<body>



  <div class="book without-animation with-summary font-size-2 font-family-1" data-basepath=".">

    <div class="book-summary">
      <nav role="navigation">

<ul class="summary">
<li><a href="./">EMERGEN Repport</a></li>

<li class="divider"></li>
<li class="chapter" data-level="1" data-path="index.html"><a href="index.html"><i class="fa fa-check"></i><b>1</b> Introduction<span></span></a>
<ul>
<li class="chapter" data-level="1.1" data-path="index.html"><a href="index.html#presentation-of-the-emergen-project"><i class="fa fa-check"></i><b>1.1</b> Presentation of the EMERGEN project<span></span></a></li>
<li class="chapter" data-level="1.2" data-path="index.html"><a href="index.html#why-did-we-do-the-report"><i class="fa fa-check"></i><b>1.2</b> Why did we do the report<span></span></a></li>
<li class="chapter" data-level="1.3" data-path="index.html"><a href="index.html#presentation-of-the-book-plan"><i class="fa fa-check"></i><b>1.3</b> Presentation of the book plan<span></span></a></li>
</ul></li>
<li class="chapter" data-level="2" data-path="materiels-and-methods.html"><a href="materiels-and-methods.html"><i class="fa fa-check"></i><b>2</b> Materiels and Methods<span></span></a>
<ul>
<li class="chapter" data-level="2.1" data-path="materiels-and-methods.html"><a href="materiels-and-methods.html#r-and-its-packages"><i class="fa fa-check"></i><b>2.1</b> R and its packages<span></span></a></li>
<li class="chapter" data-level="2.2" data-path="materiels-and-methods.html"><a href="materiels-and-methods.html#emergen-db"><i class="fa fa-check"></i><b>2.2</b> EMERGEN-DB<span></span></a></li>
<li class="chapter" data-level="2.3" data-path="materiels-and-methods.html"><a href="materiels-and-methods.html#internationales-data-bases"><i class="fa fa-check"></i><b>2.3</b> Internationales data bases<span></span></a>
<ul>
<li class="chapter" data-level="2.3.1" data-path="materiels-and-methods.html"><a href="materiels-and-methods.html#gisaid"><i class="fa fa-check"></i><b>2.3.1</b> GISAID<span></span></a></li>
<li class="chapter" data-level="2.3.2" data-path="materiels-and-methods.html"><a href="materiels-and-methods.html#ena"><i class="fa fa-check"></i><b>2.3.2</b> ENA<span></span></a></li>
</ul></li>
<li class="chapter" data-level="2.4" data-path="materiels-and-methods.html"><a href="materiels-and-methods.html#external-tools"><i class="fa fa-check"></i><b>2.4</b> External tools<span></span></a>
<ul>
<li class="chapter" data-level="2.4.1" data-path="materiels-and-methods.html"><a href="materiels-and-methods.html#pango"><i class="fa fa-check"></i><b>2.4.1</b> Pango<span></span></a></li>
<li class="chapter" data-level="2.4.2" data-path="materiels-and-methods.html"><a href="materiels-and-methods.html#nextclade"><i class="fa fa-check"></i><b>2.4.2</b> Nextclade<span></span></a></li>
</ul></li>
<li class="chapter" data-level="2.5" data-path="materiels-and-methods.html"><a href="materiels-and-methods.html#reproducibility"><i class="fa fa-check"></i><b>2.5</b> Reproducibility<span></span></a>
<ul>
<li class="chapter" data-level="2.5.1" data-path="materiels-and-methods.html"><a href="materiels-and-methods.html#gitlab"><i class="fa fa-check"></i><b>2.5.1</b> Gitlab<span></span></a></li>
<li class="chapter" data-level="2.5.2" data-path="materiels-and-methods.html"><a href="materiels-and-methods.html#continous-integration"><i class="fa fa-check"></i><b>2.5.2</b> Continous integration<span></span></a></li>
<li class="chapter" data-level="2.5.3" data-path="materiels-and-methods.html"><a href="materiels-and-methods.html#docker"><i class="fa fa-check"></i><b>2.5.3</b> Docker<span></span></a></li>
</ul></li>
</ul></li>
<li class="chapter" data-level="3" data-path="implementation.html"><a href="implementation.html"><i class="fa fa-check"></i><b>3</b> Implementation<span></span></a>
<ul>
<li class="chapter" data-level="3.1" data-path="implementation.html"><a href="implementation.html#creation-of-a-r-package-rtools4emergen"><i class="fa fa-check"></i><b>3.1</b> Creation of a R package : Rtools4Emergen<span></span></a></li>
<li class="chapter" data-level="3.2" data-path="implementation.html"><a href="implementation.html#creation-of-an-automatic-book"><i class="fa fa-check"></i><b>3.2</b> Creation of an automatic book<span></span></a></li>
</ul></li>
<li class="chapter" data-level="4" data-path="reports.html"><a href="reports.html"><i class="fa fa-check"></i><b>4</b> Reports<span></span></a>
<ul>
<li class="chapter" data-level="4.1" data-path="reports.html"><a href="reports.html#quality-of-the-metadata-en-attente"><i class="fa fa-check"></i><b>4.1</b> Quality of the metadata (en attente)<span></span></a></li>
<li class="chapter" data-level="4.2" data-path="reports.html"><a href="reports.html#publics-statistics"><i class="fa fa-check"></i><b>4.2</b> Publics statistics<span></span></a>
<ul>
<li class="chapter" data-level="4.2.1" data-path="reports.html"><a href="reports.html#public-statistics-sequencing-type"><i class="fa fa-check"></i><b>4.2.1</b> Public statistics sequencing type<span></span></a></li>
<li class="chapter" data-level="4.2.2" data-path="reports.html"><a href="reports.html#samples-per-month"><i class="fa fa-check"></i><b>4.2.2</b> Samples per month<span></span></a></li>
</ul></li>
<li class="chapter" data-level="4.3" data-path="reports.html"><a href="reports.html#advanced-statistics-en-attente"><i class="fa fa-check"></i><b>4.3</b> Advanced statistics (en attente)<span></span></a></li>
<li class="chapter" data-level="4.4" data-path="reports.html"><a href="reports.html#sampling-en-attente"><i class="fa fa-check"></i><b>4.4</b> Sampling (en attente)<span></span></a></li>
<li class="chapter" data-level="4.5" data-path="reports.html"><a href="reports.html#dasboard-gisaid-en-attente"><i class="fa fa-check"></i><b>4.5</b> Dasboard GISAID (en attente)<span></span></a></li>
</ul></li>
<li class="chapter" data-level="5" data-path="conclusion-and-perspectives.html"><a href="conclusion-and-perspectives.html"><i class="fa fa-check"></i><b>5</b> Conclusion and perspectives<span></span></a>
<ul>
<li class="chapter" data-level="5.1" data-path="conclusion-and-perspectives.html"><a href="conclusion-and-perspectives.html#conclusion"><i class="fa fa-check"></i><b>5.1</b> Conclusion<span></span></a></li>
<li class="chapter" data-level="5.2" data-path="conclusion-and-perspectives.html"><a href="conclusion-and-perspectives.html#perspectives"><i class="fa fa-check"></i><b>5.2</b> Perspectives<span></span></a></li>
</ul></li>
<li class="chapter" data-level="6" data-path="blocks.html"><a href="blocks.html"><i class="fa fa-check"></i><b>6</b> Blocks<span></span></a>
<ul>
<li class="chapter" data-level="6.1" data-path="blocks.html"><a href="blocks.html#equations"><i class="fa fa-check"></i><b>6.1</b> Equations<span></span></a></li>
<li class="chapter" data-level="6.2" data-path="blocks.html"><a href="blocks.html#theorems-and-proofs"><i class="fa fa-check"></i><b>6.2</b> Theorems and proofs<span></span></a></li>
<li class="chapter" data-level="6.3" data-path="blocks.html"><a href="blocks.html#callout-blocks"><i class="fa fa-check"></i><b>6.3</b> Callout blocks<span></span></a></li>
</ul></li>
<li class="chapter" data-level="7" data-path="sharing-your-book.html"><a href="sharing-your-book.html"><i class="fa fa-check"></i><b>7</b> Sharing your book<span></span></a>
<ul>
<li class="chapter" data-level="7.1" data-path="sharing-your-book.html"><a href="sharing-your-book.html#publishing"><i class="fa fa-check"></i><b>7.1</b> Publishing<span></span></a></li>
<li class="chapter" data-level="7.2" data-path="sharing-your-book.html"><a href="sharing-your-book.html#pages"><i class="fa fa-check"></i><b>7.2</b> 404 pages<span></span></a></li>
<li class="chapter" data-level="7.3" data-path="sharing-your-book.html"><a href="sharing-your-book.html#metadata-for-sharing"><i class="fa fa-check"></i><b>7.3</b> Metadata for sharing<span></span></a></li>
</ul></li>
<li><a href="references.html#references">References<span></span></a></li>
<li class="divider"></li>
<li><a href="https://github.com/rstudio/bookdown" target="blank">Published with bookdown</a></li>

</ul>

      </nav>
    </div>

    <div class="book-body">
      <div class="body-inner">
        <div class="book-header" role="navigation">
          <h1>
            <i class="fa fa-circle-o-notch fa-spin"></i><a href="./">EMERGEN repports</a>
          </h1>
        </div>

        <div class="page-wrapper" tabindex="-1" role="main">
          <div class="page-inner">

            <section class="normal" id="section-">
<div id="materiels-and-methods" class="section level1 hasAnchor" number="2">
<h1><span class="header-section-number">Chapter 2</span> Materiels and Methods<a href="materiels-and-methods.html#materiels-and-methods" class="anchor-section" aria-label="Anchor link to header"></a></h1>
<p>Lorem ipsum dolor sit amet. Ut recusandae voluptatem sed nemo quia ab consequatur laboriosam vel quam corporis aut accusamus ipsa. Qui fugit fuga et ullam magni quo soluta dolorum non beatae fugit in numquam illum? Ab quibusdam eaque ad omnis ducimus est laboriosam adipisci ut perferendis sunt ut eligendi enim vel aliquam autem qui explicabo dolorem.</p>
<div id="r-and-its-packages" class="section level2 hasAnchor" number="2.1">
<h2><span class="header-section-number">2.1</span> R and its packages<a href="materiels-and-methods.html#r-and-its-packages" class="anchor-section" aria-label="Anchor link to header"></a></h2>
<p>Aut dignissimos Quis eos modi quos et minus deleniti ex quae dolore. Et rerum ducimus aut omnis tempore in sint tempora At repellendus incidunt 33 vero aspernatur et nisi enim et voluptas fuga. Debitis neque et aliquid optio qui consequatur repellat et neque perferendis et facilis dolore. Qui aliquam error sit corporis delectus ex ullam quibusdam.</p>
<p>Sit nisi omnis aut iure praesentium sed recusandae aspernatur in eius aliquid et quisquam veritatis rem laborum fuga et labore reiciendis. Hic enim nihil et modi error 33 deleniti sunt id atque cumque et neque numquam ab ducimus facere.</p>
</div>
<div id="emergen-db" class="section level2 hasAnchor" number="2.2">
<h2><span class="header-section-number">2.2</span> EMERGEN-DB<a href="materiels-and-methods.html#emergen-db" class="anchor-section" aria-label="Anchor link to header"></a></h2>
<p>EMERGEN-DB is the database that collects and organizes non-sensitive metadata (sample collection, sequencing method, …) and consensus SARS-CoV-2 genomic sequences. Developed under Django, it is equipped with both user-friendly and application programmatic interfaces (API), enabling users to upload data and query the databases manually or in batch. EMERGEN-DB also offers numerous tools to facilitate real-time monitoring of variants (alerts, etc.), data exploration (interactive pages), data visualization and data export (via the API).</p>
</div>
<div id="internationales-data-bases" class="section level2 hasAnchor" number="2.3">
<h2><span class="header-section-number">2.3</span> Internationales data bases<a href="materiels-and-methods.html#internationales-data-bases" class="anchor-section" aria-label="Anchor link to header"></a></h2>
<div id="gisaid" class="section level3 hasAnchor" number="2.3.1">
<h3><span class="header-section-number">2.3.1</span> GISAID<a href="materiels-and-methods.html#gisaid" class="anchor-section" aria-label="Anchor link to header"></a></h3>
<p>Lorem ipsum dolor sit amet. Ut recusandae voluptatem sed nemo quia ab consequatur laboriosam vel quam corporis aut accusamus ipsa. Qui fugit fuga et ullam magni quo soluta dolorum non beatae fugit in numquam illum? Ab quibusdam eaque ad omnis ducimus est laboriosam adipisci ut perferendis sunt ut eligendi enim vel aliquam autem qui explicabo dolorem.</p>
</div>
<div id="ena" class="section level3 hasAnchor" number="2.3.2">
<h3><span class="header-section-number">2.3.2</span> ENA<a href="materiels-and-methods.html#ena" class="anchor-section" aria-label="Anchor link to header"></a></h3>
<p>Aut dignissimos Quis eos modi quos et minus deleniti ex quae dolore. Et rerum ducimus aut omnis tempore in sint tempora At repellendus incidunt 33 vero aspernatur et nisi enim et voluptas fuga. Debitis neque et aliquid optio qui consequatur repellat et neque perferendis et facilis dolore. Qui aliquam error sit corporis delectus ex ullam quibusdam.</p>
</div>
</div>
<div id="external-tools" class="section level2 hasAnchor" number="2.4">
<h2><span class="header-section-number">2.4</span> External tools<a href="materiels-and-methods.html#external-tools" class="anchor-section" aria-label="Anchor link to header"></a></h2>
<div id="pango" class="section level3 hasAnchor" number="2.4.1">
<h3><span class="header-section-number">2.4.1</span> Pango<a href="materiels-and-methods.html#pango" class="anchor-section" aria-label="Anchor link to header"></a></h3>
<p>Sit nisi omnis aut iure praesentium sed recusandae aspernatur in eius aliquid et quisquam veritatis rem laborum fuga et labore reiciendis. Hic enim nihil et modi error 33 deleniti sunt id atque cumque et neque numquam ab ducimus facere.</p>
</div>
<div id="nextclade" class="section level3 hasAnchor" number="2.4.2">
<h3><span class="header-section-number">2.4.2</span> Nextclade<a href="materiels-and-methods.html#nextclade" class="anchor-section" aria-label="Anchor link to header"></a></h3>
<p>Lorem ipsum dolor sit amet. Ut recusandae voluptatem sed nemo quia ab consequatur laboriosam vel quam corporis aut accusamus ipsa. Qui fugit fuga et ullam magni quo soluta dolorum non beatae fugit in numquam illum? Ab quibusdam eaque ad omnis ducimus est laboriosam adipisci ut perferendis sunt ut eligendi enim vel aliquam autem qui explicabo dolorem.</p>
</div>
</div>
<div id="reproducibility" class="section level2 hasAnchor" number="2.5">
<h2><span class="header-section-number">2.5</span> Reproducibility<a href="materiels-and-methods.html#reproducibility" class="anchor-section" aria-label="Anchor link to header"></a></h2>
<div id="gitlab" class="section level3 hasAnchor" number="2.5.1">
<h3><span class="header-section-number">2.5.1</span> Gitlab<a href="materiels-and-methods.html#gitlab" class="anchor-section" aria-label="Anchor link to header"></a></h3>
<p>Aut dignissimos Quis eos modi quos et minus deleniti ex quae dolore. Et rerum ducimus aut omnis tempore in sint tempora At repellendus incidunt 33 vero aspernatur et nisi enim et voluptas fuga. Debitis neque et aliquid optio qui consequatur repellat et neque perferendis et facilis dolore. Qui aliquam error sit corporis delectus ex ullam quibusdam.</p>
</div>
<div id="continous-integration" class="section level3 hasAnchor" number="2.5.2">
<h3><span class="header-section-number">2.5.2</span> Continous integration<a href="materiels-and-methods.html#continous-integration" class="anchor-section" aria-label="Anchor link to header"></a></h3>
<p>Sit nisi omnis aut iure praesentium sed recusandae aspernatur in eius aliquid et quisquam veritatis rem laborum fuga et labore reiciendis. Hic enim nihil et modi error 33 deleniti sunt id atque cumque et neque numquam ab ducimus facere.</p>
</div>
<div id="docker" class="section level3 hasAnchor" number="2.5.3">
<h3><span class="header-section-number">2.5.3</span> Docker<a href="materiels-and-methods.html#docker" class="anchor-section" aria-label="Anchor link to header"></a></h3>
<p>Lorem ipsum dolor sit amet. Ut recusandae voluptatem sed nemo quia ab consequatur laboriosam vel quam corporis aut accusamus ipsa. Qui fugit fuga et ullam magni quo soluta dolorum non beatae fugit in numquam illum? Ab quibusdam eaque ad omnis ducimus est laboriosam adipisci ut perferendis sunt ut eligendi enim vel aliquam autem qui explicabo dolorem.</p>

</div>
</div>
</div>
            </section>

          </div>
        </div>
      </div>
<a href="index.html" class="navigation navigation-prev " aria-label="Previous page"><i class="fa fa-angle-left"></i></a>
<a href="implementation.html" class="navigation navigation-next " aria-label="Next page"><i class="fa fa-angle-right"></i></a>
    </div>
  </div>
<script src="libs/gitbook-2.6.7/js/app.min.js"></script>
<script src="libs/gitbook-2.6.7/js/clipboard.min.js"></script>
<script src="libs/gitbook-2.6.7/js/plugin-search.js"></script>
<script src="libs/gitbook-2.6.7/js/plugin-sharing.js"></script>
<script src="libs/gitbook-2.6.7/js/plugin-fontsettings.js"></script>
<script src="libs/gitbook-2.6.7/js/plugin-bookdown.js"></script>
<script src="libs/gitbook-2.6.7/js/jquery.highlight.js"></script>
<script src="libs/gitbook-2.6.7/js/plugin-clipboard.js"></script>
<script>
gitbook.require(["gitbook"], function(gitbook) {
gitbook.start({
"sharing": {
"github": false,
"facebook": true,
"twitter": true,
"linkedin": false,
"weibo": false,
"instapaper": false,
"vk": false,
"whatsapp": false,
"all": ["facebook", "twitter", "linkedin", "weibo", "instapaper"]
},
"fontsettings": {
"theme": "white",
"family": "sans",
"size": 2
},
"edit": {
"link": "https://github.com/USERNAME/REPO/edit/BRANCH/01-mat_met.Rmd",
"text": "Edit"
},
"history": {
"link": null,
"text": null
},
"view": {
"link": null,
"text": null
},
"download": ["_main.pdf", "_main.epub"],
"search": {
"engine": "fuse",
"options": null
},
"toc": {
"collapse": "subsection"
}
});
});
</script>

<!-- dynamically load mathjax for compatibility with self-contained -->
<script>
  (function () {
    var script = document.createElement("script");
    script.type = "text/javascript";
    var src = "true";
    if (src === "" || src === "true") src = "https://mathjax.rstudio.com/latest/MathJax.js?config=TeX-MML-AM_CHTML";
    if (location.protocol !== "file:")
      if (/^https?:/.test(src))
        src = src.replace(/^https?:/, '');
    script.src = src;
    document.getElementsByTagName("head")[0].appendChild(script);
  })();
</script>
</body>

</html>
